<?php
ini_set('display_errors', 1);
error_reporting(E_ALL);
session_start();
require 'verifica_cookie.php';
require 'conexao.php';

$pdo      = Conexao::getInstance();
$venda    = (isset($_POST['venda'])) ? $_POST['venda'] : '';
$contErro = 0;

if (empty($venda)):
	$contErro += 1;
endif;

if ($contErro):
	$output = json_encode(array('status' => '0', 'text' => 'Existem campos vazios!'));
	die($output);
endif;

$sql = "UPDATE venda SET sit_001 = 8, ven_008=0, valor_couver=0, ven_009 = (ven_009 - COALESCE(ven_008, 0)), terminal_pre_fechamento = null WHERE ven_001 = :venda";
$stm = $pdo->prepare($sql);
$stm->bindValue(':venda', $venda);
$retorno = $stm->execute();

if ($retorno):
	echo json_encode(array('status' => '1', 'text' => 'Gravado com sucesso'));
else:
	echo json_encode(array('status' => '0', 'text' => 'Erro ao gravar!'));
endif;
